Page MenuHomePhabricator

Plans: 2018 Week 16 Bonus Content
Closed, ResolvedPublic

Description

See PHI549. An install would benefit from an --auto mode on bin/differential migrate-hunk.

See PHI505. An install would like a feature which I bargained down to a !history command that replays an object over email, for reviewing events if you were @mentioned onto something you don't have context on and are off-VPN on your phone on a train. Perhaps see also T11934.

See PHI531. An install would like a way to abort builds for older diffs when a revision is updated. There's some consideration for adding an "Outdated" status vs "Aborted", but this is probably a larger problem which overlaps with PHI533 (timeout "Waiting for Message" builds), run command timeouts, etc.

See PHI512. See T8953. When you receive a notification about an object and later lose the ability to see that object, it is unreasonably difficult to dismiss the notification.

See T13105 / T13125. See PHI577. Basic coverage display support, at least, should make it back into Diffusion this week.

See T13076 / T12801 / PHI521. At a minimum, I'd really like to see cluster instances move to the new cache APIs for domain misses and a concrete plan on Almanac services this week. In a perfect world, we swap fully and implement whatever the plan is. phage is somewhat adjacent. Renaming is somewhat adjacent. bin/provision sync is somewhat adjacent.

See PHI584. An install would like revisions to promote out of "Changes Planned + Draft" automatically on passing build (presumably after manual build restart) like revisions promote out of pure "Draft" already.

See PHI593. An install would like a commits attachment for Diffs that provides a more stable API for accessing the local:commits property.

See T13127. See PHI579, etc. I'm planning to tweak the [+++- ] element a bit for this release, to improve the number of animated, rainbow-colored panda GIFs present in the UI.

Event Timeline

epriestley triaged this task as Normal priority.Apr 13 2018, 3:59 PM
epriestley created this task.
epriestley updated the task description. (Show Details)Apr 13 2018, 4:04 PM
epriestley updated the task description. (Show Details)Apr 13 2018, 7:18 PM
epriestley updated the task description. (Show Details)Apr 16 2018, 12:52 PM
epriestley updated the task description. (Show Details)Apr 16 2018, 1:06 PM
epriestley updated the task description. (Show Details)Apr 17 2018, 8:51 PM
epriestley updated the task description. (Show Details)Apr 19 2018, 4:17 PM
epriestley updated the task description. (Show Details)Apr 19 2018, 4:21 PM
epriestley closed this task as Resolved.Apr 21 2018, 7:58 PM